package ru.amse.fedorov.plainsvg.presentation.markers.shape;

import java.awt.geom.Point2D;

import ru.amse.fedorov.plainsvg.presentation.elements.RectangularShapePresentation;

public class TLMarker<E extends RectangularShapePresentation<?>> extends RectangularMarker<E> {

	public TLMarker(E pres) {
		super(pres);
	}

	@Override
	protected Point2D getUntransformedPoint() {
		return new Point2D.Double(getElement().getX1(), getElement().getY1());
	}

	@Override
	public void movedUtransformed(Point2D p) {
		double x = getElement().getX2();
		double y = getElement().getY2();
		getPresentation().setDiagonal(p, new Point2D.Double(x, y));
	}

}
