package ru.amse.fedorov.plainsvg.gui;

import java.util.EventListener;

/**
 * The listener interface for all "interesting" components. The class that is
 * interested in processing a selection event implements this interface.
 * 
 * @author Alexey Fedorov
 */
public interface SelectionChangedListener extends EventListener {

	/**
	 * Invoked when list ofselected elements has been changed.
	 */
	public void selectionChanged();

}
