package ru.amse.fedorov.plainsvg.gui.actions.move;

import java.awt.event.ActionEvent;

import ru.amse.fedorov.plainsvg.gui.GraphicsComponent;
import ru.amse.fedorov.plainsvg.presentation.elements.ElementPresentation;

public class MoveTopAction extends MoveAction {

	private static final long serialVersionUID = 1L;

	private static final String TOP = "top";

	public MoveTopAction(GraphicsComponent component) {
		super(component);
	}

	@Override
	protected void perform(ActionEvent e) {
		int k = 0;
		for (int i = 0; i < getElementList().size(); i++) {
			ElementPresentation<?> elem = getElementList().get(i - k);
			if (getSelectedList().contains(elem)) {
				getElementList().moveTop(elem);
				k++;
			}
		}
	}

	@Override
	protected String getOperationName() {
		return TOP;
	}

}