package ru.amse.fedorov.plainsvg.model.listeners;

import java.util.EventListener;

/**
 * All objects watching for svg-elements' state mush to implement this
 * interface.
 * 
 * @author Alexey Fedorov
 */
public interface ElementChangedListener extends EventListener{

	/**
	 * The action that wathing object must doing if svg-elements' state changed.
	 */
	public void elementChanged();

}
