package ru.amse.fedorov.plainsvg.presentation.markers.line;

import java.awt.geom.Point2D;

import ru.amse.fedorov.plainsvg.presentation.elements.LinePresentation;

public class Point2Marker extends LineMarker {

	public Point2Marker(LinePresentation pres) {
		super(pres);
	}

	@Override
	protected Point2D getPoint() {
		return getPresentation().getModelElement().getPoint2();
	}

	@Override
	public void movedUtransformed(Point2D p) {
		Point2D p1 = getPresentation().getModelElement().getPoint1();
		getPresentation().setDiagonal(p1, p);
	}

}