package ru.amse.fedorov.plainsvg.presentation.markers.shape;

import java.awt.geom.Point2D;

import ru.amse.fedorov.plainsvg.presentation.elements.RectangularShapePresentation;

public class BRMarker<E extends RectangularShapePresentation<?>> extends
		RectangularMarker<E> {

	public BRMarker(E pres) {
		super(pres);
	}

	@Override
	protected Point2D getUntransformedPoint() {
		return new Point2D.Double(getElement().getX2(), getElement().getY2());
	}

	@Override
	public void movedUtransformed(Point2D p) {
		double x = getElement().getX1();
		double y = getElement().getY1();
		getPresentation().setDiagonal(new Point2D.Double(x, y), p);
	}

}
