package ru.amse.fedorov.plainsvg.presentation.markers.shape;

import java.awt.geom.Point2D;

import ru.amse.fedorov.plainsvg.presentation.elements.RectangularShapePresentation;

public class LMarker<E extends RectangularShapePresentation<?>> extends RectangularMarker<E> {

	public LMarker(E pres) {
		super(pres);
	}

	@Override
	protected Point2D getUntransformedPoint() {
		return new Point2D.Double(getElement().getX1(), getElement()
				.getCenter().getY());
	}

	@Override
	public void movedUtransformed(Point2D p) {
		double x1 = p.getX();
		double y1 = getElement().getY1();
		Point2D p1 = new Point2D.Double(x1, y1);
		double x2 = getElement().getX2();
		double y2 = getElement().getY2();
		Point2D p2 = new Point2D.Double(x2, y2);
		getPresentation().setDiagonal(p1, p2);
	}

}