package ru.amse.fedorov.plainsvg.tools;

import java.util.EventListener;

/**
 * Interface for looking fot the tool status. If tool status has been changed,
 * every listener call method fireStatusChanged().
 * 
 * @author Alexey Fedorov
 */
public interface ToolStatusListener extends EventListener {

	/**
	 * Action to do if tool's status has been changed.
	 */
	public void doOnStatusChanged();

}
